package com.management.platform.controller;


import com.management.platform.service.ReportService;
import com.management.platform.util.HttpRespMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-31
 */
@RestController
@RequestMapping("/report")
public class ReportController {
    @Autowired
    private ReportService reportService;

    /**
     * 分页获取报告列表
     * 分页页数 pageIndex
     * 分页大小 pageSize
     * 可传 报告人id id
     * 可传 报告种类 type 0-日报 1-月报
     * 可传 检索开始时间 startDate
     * 可传 检索结束时间 endDate
     */
    @RequestMapping("/getReportList")
    public HttpRespMsg getReportList(@RequestParam Integer pageIndex, @RequestParam Integer pageSize,
                                     Integer id, Integer type, String startDate, String endDate) {
        return reportService.getReportList(pageIndex, pageSize, id, type, startDate, endDate);
    }

    /**
     * 根据id编辑报告
     * 报告id id
     * 报告内容 content
     */
    @RequestMapping("/editReport")
    public HttpRespMsg editReport(@RequestParam Integer id, @RequestParam String content) {
        return reportService.editReport(id, content);
    }

    /**
     * 根据id删除报告
     * 报告id id
     */
    @RequestMapping("/deleteReport")
    public HttpRespMsg deleteReport(@RequestParam Integer id) {
        return reportService.deleteReport(id);
    }
}

